Agents
Add an agent to a webchat conversation
Adds a participant agent to a conversation owned by the authenticated user (mid-conversation join). The agent must be viewable and placed on a daemon that supports multi-agent webchat — as must every existing participant. Idempotent for an agent already in the roster.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
conversationId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/webchat/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents" \ -H "Content-Type: application/json" \ -d '{ "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2" }'{ "participants": [ { "agentId": "string", "primary": true } ]}